<?php

namespace Modules\Additional\Specifique\Client128\Modules\Panier\Service;

use Entity\Model\Centre;
use Entity\Model\CtcCtr;
use Entity\Model\OxaUserPanier;
use Helpers\ChampsSupplementaire\ChampSupp;
use Helpers\Outil\Sql;
use Modules\Panier\Service\PanierEnteteService;
use Modules\Panier\Service\PanierService;

class UpdateValueCtrLivraison
{
    /**
     * le fichier existe aussi pour le client 61, donc on met la fonction qui retourne false pour éviter les erreurs le temps de mieux gérer les spécifiques
     * @param \PDO $pdo
     */
    public static function initCentreLivraisonSI(\PDO $pdo, string $si = null, string $idLigne = null, bool $returnValue = false) : bool
    {
        return false;
    }

    /**
     * @param \PDO $pdo
     */
    public static function initCentreLivraisonCG(\PDO $pdo, string $cg = null, string $idLigne = null) : bool
    {
        if ($idLigne) {
            return false;
        }
        
        $newsCentre = ChampSupp::getEnregByValueSpecific([
            'COD_TAB' => 'CENTRE',
            'VALEUR' => $cg,
            'typedico' => 'PARNCS0128',
            'codedico' => 'NCS_CENTRE_INSTALLATION',
        ], $pdo);

        return (new PanierService($pdo))->initCentre($pdo, $newsCentre['COD_ENR']);
    }
}
